package com.caimei.modules.club.entity;

import java.io.Serializable;
import java.util.Date;

/**
 * 采美商城组织Entity
 *
 * @author lijun
 * @version 2019-11-19
 */
public class CmUserOrganize implements Serializable {

    private static final long serialVersionUID = 1L;
    private Integer id;
    private String organizeName;        // 组织名称
    private String organizeLinkName;        // 组织联系人
    private String mobile;        // 手机号码
    private Date updateTime;        // 更新时间
    private Date addTime;        // 添加时间
    private String contactNumber;//联系我们，手机或者座机号码
    private String introduction;//关于我们:组织介绍信息
    private String afterSale;//售后无忧
    private String shoppingNotes;//购物须知

    public static long getSerialVersionUID() {
        return serialVersionUID;
    }

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getOrganizeName() {
        return organizeName;
    }

    public void setOrganizeName(String organizeName) {
        this.organizeName = organizeName;
    }

    public String getOrganizeLinkName() {
        return organizeLinkName;
    }

    public void setOrganizeLinkName(String organizeLinkName) {
        this.organizeLinkName = organizeLinkName;
    }

    public String getMobile() {
        return mobile;
    }

    public void setMobile(String mobile) {
        this.mobile = mobile;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public Date getAddTime() {
        return addTime;
    }

    public void setAddTime(Date addTime) {
        this.addTime = addTime;
    }

    public String getContactNumber() {
        return contactNumber;
    }

    public void setContactNumber(String contactNumber) {
        this.contactNumber = contactNumber;
    }

    public String getIntroduction() {
        return introduction;
    }

    public void setIntroduction(String introduction) {
        this.introduction = introduction;
    }

    public String getAfterSale() {
        return afterSale;
    }

    public void setAfterSale(String afterSale) {
        this.afterSale = afterSale;
    }

    public String getShoppingNotes() {
        return shoppingNotes;
    }

    public void setShoppingNotes(String shoppingNotes) {
        this.shoppingNotes = shoppingNotes;
    }
}