package com.caimei.modules.order.entity;

import java.io.Serializable;

/**
 * 订单客户详情Entity
 *
 * @author 李文涛
 * @version 2018-08-07
 */
public class OrderUserInfo implements Serializable {
    private static final long serialVersionUID = 1L;
    private Integer id;
    private Long orderId;        // 订单ID
    private Long clubId;        // clubId
    private Long userId;        // userId
    private String name;        // 买家
    private String shouHuoRen;        // 收货人
    private String mobile;        // 手机
    private String phone;        // 电话
    private String postalCode;        // 邮编
    private String province;        // 省、直辖市
    private String city;        // 市
    private String town;        // 县、区
    private String address;        // 收货地址
    private Double userMoney;    //账户余额
    private Double ableUserMoney;    //可用余额

    public static long getSerialVersionUID() {
        return serialVersionUID;
    }

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public Long getOrderId() {
        return orderId;
    }

    public void setOrderId(Long orderId) {
        this.orderId = orderId;
    }

    public Long getClubId() {
        return clubId;
    }

    public void setClubId(Long clubId) {
        this.clubId = clubId;
    }

    public Long getUserId() {
        return userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getShouHuoRen() {
        return shouHuoRen;
    }

    public void setShouHuoRen(String shouHuoRen) {
        this.shouHuoRen = shouHuoRen;
    }

    public String getMobile() {
        return mobile;
    }

    public void setMobile(String mobile) {
        this.mobile = mobile;
    }

    public String getPhone() {
        return phone;
    }

    public void setPhone(String phone) {
        this.phone = phone;
    }

    public String getPostalCode() {
        return postalCode;
    }

    public void setPostalCode(String postalCode) {
        this.postalCode = postalCode;
    }

    public String getProvince() {
        return province;
    }

    public void setProvince(String province) {
        this.province = province;
    }

    public String getCity() {
        return city;
    }

    public void setCity(String city) {
        this.city = city;
    }

    public String getTown() {
        return town;
    }

    public void setTown(String town) {
        this.town = town;
    }

    public String getAddress() {
        return address;
    }

    public void setAddress(String address) {
        this.address = address;
    }

    public Double getUserMoney() {
        return userMoney;
    }

    public void setUserMoney(Double userMoney) {
        this.userMoney = userMoney;
    }

    public Double getAbleUserMoney() {
        return ableUserMoney;
    }

    public void setAbleUserMoney(Double ableUserMoney) {
        this.ableUserMoney = ableUserMoney;
    }
}