package com.caimei.modules.products.dao;

import com.caimei.modules.products.entity.CmMallProductsClassify;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface CmMallProductsClassifyDao {

    List<CmMallProductsClassify> findList(CmMallProductsClassify cmMallProductsClassify);

    CmMallProductsClassify get(Integer id);

    List<CmMallProductsClassify> getProductsClassifyListByName(CmMallProductsClassify cmMallProductsClassify);

    void insert(CmMallProductsClassify cmMallProductsClassify);

    void update(CmMallProductsClassify cmMallProductsClassify);

    void updateStatus(CmMallProductsClassify mallProductsClassify);

    void saveSort(@Param("sort") String sort, @Param("id") String id);

    List<CmMallProductsClassify> findListByEffective(String organizeID);
}
