package com.caimei.modules.club.service.impl;

import com.caimei.modules.club.dao.CmUserDao;
import com.caimei.modules.club.entity.CmUser;
import com.caimei.modules.club.service.CmUserService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
public class CmUserServiceImpl implements CmUserService {
    @Autowired
    private CmUserDao cmUserDao;

    @Override
    public List<CmUser> findListBuyUserInfo(CmUser cmUser) {
        return cmUserDao.findListBuyUserInfo(cmUser);
    }

    @Override
    public List<CmUser> findListBuyBindMobile(CmUser cmUser) {
        return cmUserDao.findListBuyBindMobile(cmUser);
    }

    @Override
    public void insert(CmUser cmUser) {
        cmUserDao.insert(cmUser);
    }

    @Override
    public void update(CmUser cmUser) {
        cmUserDao.update(cmUser);
    }
}
