package com.caimei.modules.order.service.impl;

import com.caimei.modules.order.dao.CmReceiptOrderRelationDao;
import com.caimei.modules.order.entity.CmReceiptOrderRelation;
import com.caimei.modules.order.service.CmReceiptOrderRelationService;
import com.caimei.utils.ReceivablesType;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
public class CmReceiptOrderRelationServiceImpl implements CmReceiptOrderRelationService {
    @Autowired
    private CmReceiptOrderRelationDao cmReceiptOrderRelationDao;

    @Override
    public List<Integer> toAudit(Integer orderID) {
        return cmReceiptOrderRelationDao.toAudit(orderID);
    }

    @Override
    public List<CmReceiptOrderRelation> findByOrderID(Integer orderID) {
        List<CmReceiptOrderRelation> list= cmReceiptOrderRelationDao.findByOrderID(orderID);
        for(CmReceiptOrderRelation bean : list){
            bean.setPayType(ReceivablesType.getReceivablesType(Integer.parseInt(bean.getPayType())));
        }
        return list;
    }
}
