package com.caimei.modules.products.dao;

import com.caimei.modules.products.entity.CmMallOrganizeProducts;
import com.caimei.modules.products.entity.CmMallPageModules;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface CmMallOrganizeProductsDao {
    List<CmMallOrganizeProducts> findList(CmMallOrganizeProducts cmMallOrganizeProducts);

    List<CmMallPageModules> findAllModule(Integer organizeID);

    void updateProductInfo(CmMallOrganizeProducts cmMallOrganizeProducts);

    CmMallOrganizeProducts get(Integer id);

    void updateValidFlag(CmMallOrganizeProducts organizeProducts);

    void saveSort(@Param("modules") Integer modules, @Param("sort") String sort, @Param("id") String id);

    List<CmMallOrganizeProducts> findListBuyMall(CmMallOrganizeProducts cmMallOrganizeProducts);

    List<Integer> getAllExistsProductList(Integer modules);

    void updateProductInfo1(CmMallOrganizeProducts cop);

    void canncelPreferredProduct(CmMallOrganizeProducts cmMallOrganizeProducts);
}
