package com.caimei.modules.shiro.dao;


import com.caimei.modules.shiro.entity.CmMallAdminUser;
import com.caimei.modules.shiro.entity.CmMallOrganize;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

@Mapper
public interface UserDao {
    CmMallAdminUser findByUsername(@Param("account") String account, @Param("organizeID") Integer organizeID);

    CmMallAdminUser findByUserId(Integer id);

    void changePassword(CmMallAdminUser user);

    CmMallOrganize findOrganize(Integer id);

    void updateOrganizeInfo(CmMallOrganize mallOrganize);
}
